
BornAgain - Bug #2092

GUI: Top level thickness error

20 Jun 2018 08:59 - ganeva

Status: Resolved Start date: 20 Jun 2018

Priority: Normal Due date:  

Assignee: pospelov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Sprint 38   

Description

To reproduce:

1. Start BornAgain GUI

2. Pull the 'Multilayer with correlated roughness' example

3. Delete the top layer

4. See that you are not able to change the thickness of the layer which is now on top

5. Run the simulation, you will see the error message

obQueueData::runJob() -> Error. Attempt to create sample/instrument object from user description has failed with following error

 message.

Invalid call to MultiLayer::addLayer(): the semi-infinite top layer must have a pro forma thickness of 0

 

For the bottom layer the story is a bit different: you still cannot change it's thickness, but there is no error while running the

simulation. I think, this is inconsistent.

History

#1 - 21 Jun 2018 11:52 - pospelov

- Status changed from New to Sprint

- Assignee set to pospelov

#2 - 21 Jun 2018 14:57 - pospelov

- Status changed from Sprint to Resolved
